> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Categories

> List all product categories



## OpenAPI

````yaml get /v1/product-category
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/product-category:
    get:
      summary: Get All Product Category
      description: Use this API to get all product category
      operationId: get-all-product-category
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: perPage
          in: query
          required: false
          schema:
            type: integer
            default: 20
            example: 20
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            example: 1
        - name: active
          in: query
          required: false
          description: Filter by active status
          schema:
            type: boolean
            example: true
        - name: parent_id
          in: query
          required: false
          description: >-
            The parent category id, to list all subcategories of a parent
            category
          schema:
            type: string
            example: 9a12fab0-d282-4437-9460-c3d26662d11a
        - name: keywords
          in: query
          required: false
          description: Filter by keywords, name
          schema:
            type: string
            example: Beanie
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 9d8cbab5-13fe-4102-8bf5-3b13668ab811
                        name:
                          type: string
                          example: mens hat example
                        description:
                          type: string
                          nullable: true
                          example: mens hat example
                        is_active:
                          type: boolean
                          example: true
                        order:
                          type: integer
                          example: 1
                        children:
                          type: array
                          items:
                            type: object
                          example: []
                        is_parent:
                          type: boolean
                          example: true
                        image:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                              format: uuid
                            caption:
                              type: string
                            alt_text:
                              type: string
                              nullable: true
                            group:
                              type: string
                            order:
                              type: integer
                            extension:
                              type: string
                            status:
                              type: string
                              nullable: true
                            disk:
                              type: string
                            url:
                              type: string
                            other_dimensions:
                              type: array
                              items:
                                type: object
                                properties:
                                  size:
                                    type: string
                                  path:
                                    type: string
                            urls:
                              type: object
                              properties:
                                icon:
                                  type: string
                                large:
                                  type: string
                                small:
                                  type: string
                                medium:
                                  type: string
                                thumbnail:
                                  type: string
                        emoji:
                          type: string
                          nullable: true
                          example: '?'
                        pos_color:
                          type: string
                          nullable: true
                          example: '#4C689C'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: >-
                          https://api.sandbox.hit-pay.com/v1/product-category?page=1
                      last:
                        type: string
                        example: >-
                          https://api.sandbox.hit-pay.com/v1/product-category?page=4
                      prev:
                        type: string
                        nullable: true
                        example: null
                      next:
                        type: string
                        example: >-
                          https://api.sandbox.hit-pay.com/v1/product-category?page=2
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 4
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              nullable: true
                            label:
                              type: string
                            active:
                              type: boolean
                      path:
                        type: string
                        example: https://api.sandbox.hit-pay.com/v1/product-category
                      per_page:
                        type: integer
                        example: 20
                      to:
                        type: integer
                        example: 20
                      total:
                        type: integer
                        example: 66
              example:
                data:
                  - id: 9d8cbab5-13fe-4102-8bf5-3b13668ab811
                    name: mens hat example
                    description: mens hat example
                    is_active: true
                    order: 1
                    children: []
                    is_parent: true
                    image: null
                    emoji: null
                    pos_color: null
                links:
                  first: https://api.sandbox.hit-pay.com/v1/product-category?page=1
                  last: https://api.sandbox.hit-pay.com/v1/product-category?page=4
                  prev: null
                  next: https://api.sandbox.hit-pay.com/v1/product-category?page=2
                meta:
                  current_page: 1
                  from: 1
                  last_page: 4
                  links:
                    - url: null
                      label: '&larr; Previous'
                      active: false
                    - url: >-
                        https://api.sandbox.hit-pay.com/v1/product-category?page=2
                      label: Next &rarr;
                      active: false
                  path: https://api.sandbox.hit-pay.com/v1/product-category
                  per_page: 20
                  to: 20
                  total: 66

````